# HasFreeSpaceCondition

Implements \Condition

Condition returns true if selected partition has the requested space, false otherwise.

author | Siad Ardroumli siad.ardroumli@gmail.com
package | phing.tasks.system.condition

### Methods

## evaluate

    evaluate() : boolean

throws |

### Response

`boolean`

## parseHumanSizes

    parseHumanSizes(string $humanSize) : float

### Arguments

#### $humanSize

`string`

### Response

`float`

## Set the amount of free space required.

    setNeeded( $needed) : void

### Arguments

#### $needed

``

## Set the partition/device to check.

    setPartition( $partition) : void

### Arguments

#### $partition

``

## validate

    validate() : void

throws |

### Properties

## partition

    partition : string

var |

### Type(s)

`string`

## needed

    needed : string

var |

### Type(s)

`string`